> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/api-reference/finpay-pg/payment-gateway-overview.md).

# Payment Gateway Overview

Finpay will help your bussiness to accept payment from various methods such as : credit card, bank transfer, emoney, cash payments through retail outlets etc.

Differences integration methods :

<table><thead><tr><th width="173">Integration Method</th><th>Feature</th><th>Sample Use Case</th></tr></thead><tbody><tr><td>Hosted Payment</td><td>Simple and easy intregation, just one process to connect with all payment methods provide by Finpay</td><td>For all merchant who need easy and quick integration.</td></tr><tr><td></td><td>Redirect customer to payment page hosted by Finpay</td><td>Suitable for merchant who already have website or mobile application so can be embed payment page directly</td></tr><tr><td></td><td>Customizable payment method in quick way without any enhancement in your system</td><td></td></tr><tr><td></td><td>Customizable merchant or brand name and logo</td><td></td></tr><tr><td>Core API</td><td>Customize your own UI/UX</td><td>Merchants who want specifix UI/UX to suit their experience flow</td></tr><tr><td></td><td>Customize parameter for each payment methods</td><td>Used by partners who have a website or mobile application but also can be implemented on a POS or vending machine</td></tr><tr><td></td><td>Can be enhance with additional features such as: Autodebet service</td><td></td></tr><tr><td>Finpay Invoice</td><td>No technical integration</td><td>Quick and easy to used, no programming skills are needed (No Coding)</td></tr><tr><td></td><td>Create payment invoice for your customer through Finpay Dashboard</td><td>Suitable for Small and Medium Enterpris online shop owners who don't have a website or mobile application</td></tr><tr><td></td><td>payment link that is shareable through Email, SMS WhatsApp, etc</td><td></td></tr></tbody></table>

[<br>](https://hub.finpay.id/docs/getting-started)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-pg/payment-gateway-overview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
